GET /v2/api/events

Lists external events with optional filters for event_type and status

Query parameters

  • page integer

    Page Number

    Minimum value is 1. Default value is 1.

  • pageSize integer

    Page Size

    Default value is 10.

  • event_type string

    Filter by event type

  • status string

    Filter by status: pending, completed, failed

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • accountId string
    • completedAt string
    • createdAt string
    • eventType string
    • failedAt string
    • id string
    • payload object
  • default application/json

    All errors will return the same object with a describing code & message

    Hide response attributes Show response attributes object
    • error string
    • message string
    • statusCode integer
GET /v2/api/events
curl \
 --request GET 'https://api.maddenanalytics.com/v2/api/events'
Response examples (200)
[
  {
    "accountId": "string",
    "completedAt": "string",
    "createdAt": "string",
    "eventType": "string",
    "failedAt": "string",
    "id": "string",
    "payload": {}
  }
]
Response examples (default)
{
  "error": "Error Type (if any)",
  "message": "Message describing the error",
  "statusCode": 400
}